using System;
using System.Data;
using MySql.Data.MySqlClient;
using MySql.Data.Types;


namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
    
    /// </summary>
		[STAThread]
		static void Main(string[] args)
		{
      string connStr = "server=localhost; database=test; pooling=false";
      MySqlConnection conn = new MySqlConnection( connStr );


      try 
      {
        conn.Open();

      }
      catch (MySqlException ex) 
      {
        Console.WriteLine("Error connecting to the server: " + ex.Message );
      }
      finally
      {
        Console.WriteLine("start test...");
        MySqlCommand oCommand = new MySqlCommand();
        oCommand.Connection = conn ;

        oCommand.CommandText = "drop table if exists copy_of_orders";
        oCommand.ExecuteNonQuery() ;

        oCommand.CommandText = "create table copy_of_orders ("+
                               "OrderId int(11) not null primary key,"+
                               "UserAccountId int(11),"+
                               "SubTotal decimal(10,2),"+
                               "ShippingCharge decimal(10,2),"+
                               "DateEntered timestamp)";
        oCommand.ExecuteNonQuery() ;

        oCommand.CommandText = "insert into copy_of_orders (UserAccountID, SubTotal,"+
                               "ShippingCharge, DateEntered) VALUES (@UserAccountID, @SubTotal, @ShippingCharge,"+
                                "@DateEntered)";
        
        oCommand.Parameters.Add( "@UserAccountID", 11) ;
        oCommand.Parameters.Add( "@SubTotal", (decimal) 175.88) ;
        oCommand.Parameters.Add( "@ShippingCharge",(decimal) 3.95) ;
        oCommand.Parameters.Add( "@DateEntered", DateTime.Now) ;
        oCommand.ExecuteNonQuery() ;
      }
		}
	}
}
